Skip to content

Restore Message

POST
/api/creative/email/messages/{message_id}/restore

Restore a soft-deleted message.

message_id
required
Message Id
string

Successful Response

EmailMessageResponse

Response wrapper for single message operations.

object
success
required
Success

Operation success

boolean
message
Any of:
EmailMessageData

A single email message.

object
id
required
Id

Message ID

string
accountId
required
Accountid
string
messageId
required
Messageid
string
folder
required
Folder
string
subject
required
Subject
string
fromAddress
required
Fromaddress
string
fromName
required
Fromname
string
toAddresses
Toaddresses
Array<object>
EmailAddressData

Reusable email address with optional display name.

object
name
Name
string
""
address
required
Address
string
ccAddresses
Ccaddresses
Array<object>
EmailAddressData

Reusable email address with optional display name.

object
name
Name
string
""
address
required
Address
string
bccAddresses
Bccaddresses
Array<object>
EmailAddressData

Reusable email address with optional display name.

object
name
Name
string
""
address
required
Address
string
bodyText
required
Bodytext
string
bodyHtml
required
Bodyhtml
string
isRead
required
Isread
boolean
isStarred
required
Isstarred
boolean
isDeleted
required
Isdeleted
boolean
isSpam
required
Isspam
boolean
spamScore
required
Spamscore
number
hasAttachments
required
Hasattachments
boolean
attachmentsMeta
Attachmentsmeta
Array<object>
AttachmentMetaData

Metadata for an email attachment.

object
name
required
Name
string
size
required
Size
integer
contentType
required
Contenttype
string
storedPath
Storedpath
string
""
inReplyTo
Any of:
string
referencesHeader
required
Referencesheader
string
threadId
Threadid
string
""
dateSent
required
Datesent
integer
createdAt
required
Createdat

Unix timestamp

integer
modifiedAt
required
Modifiedat

Unix timestamp

integer
error
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object